import Vue from 'vue';
import App from './App';

import statusNav from './components/status-nav.vue';//引入状态栏组件
Vue.component('status-nav',statusNav);//全局注册状态栏组件

import nothingPage from './components/nothing-page.vue';//引入无内容组件
Vue.component('nothing-page',nothingPage);//全局注册无内容组件

// import empower from './components/empower.vue';//引入授权用户信息组件
// Vue.component('empower',empower);//全局注册授权用户信息组件

// import authUserInfoMobile from './components/auth-userInfo-mobile.vue';//引入授权用户信息，授权手机号组件
// Vue.component('auth-userInfo-mobile',authUserInfoMobile);//全局注册授权用户信息，授权手机号组件

import containerSubgroup from './components/containers/container-subgroup.vue';//引入容器组件
Vue.component('container-subgroup',containerSubgroup);//全局注册容器组件

import share from './jsFile/share.js';// 全局注册分享事件
Vue.mixin(share); 

// 常用工具
import tools from '@/jsFile/tools.js';
Vue.prototype.$toolAll = tools;
// 响应数据
import requst from '@/jsFile/requst.js';
Vue.prototype.$requst = requst;
// 图片域名，专治后台仔没有返回http/https的图片
Vue.prototype.$http = 'https://peili.scdxtc.cn';

const {log} = console;
Vue.prototype.log = log;

Vue.config.productionTip = false;

App.mpType = 'app';

const app = new Vue({
    ...App
})
app.$mount()
